function plot_marilyn_Statoil( mat,CMIN,CMAX,depth,I )

ndisp=100;
nlog=5;
coef=size(colormap,1)/(CMAX-CMIN);
datacol=coef*(mat-CMIN*ones(size(mat)));
dataView=datacol;

% dfinition et mise en place de la figure
open('squelette.fig');

% trac de la colorbar
axes(findobj(gcf,'Type','axes','Tag','bottom'));
set(gca,'NextPlot','add');
set(gca,'Xlim', [1 length(colormap)],...
    'XTick', [1 length(colormap)/4 ...
        length(colormap)/2 0.75*length(colormap) length(colormap)],...
    'XTickLabel', [CMIN CMIN+(CMAX-CMIN)/4 ...
        CMIN+(CMAX-CMIN)/2 CMIN+3*(CMAX-CMIN)/4 CMAX]);
image([1:length(colormap)]);

% trace des diagraphie sur chacune des 5 colonnes
for j=1:nlog
    AxNumber=(I-1)*nlog+j;
    axes(findobj(gcf,'Type','axes',...
        'Tag',['ax' num2str(j)]));
    set(gca,'Xlim', [0.5 (size(mat,2)+0.5)]);
    set(gca,'YLim', [1 ndisp], 'YTick', [1:20:ndisp],'YTickLabel',depth((AxNumber-1)*ndisp+1:20:AxNumber*ndisp));
    image(dataView( ((AxNumber-1)*ndisp+1):(AxNumber*ndisp),: ) );
end
end

