clear all;
close all;
tic

n_chan=180;
n_data_col=6;
n_data_line=n_chan/n_data_col;

folder='C:\Users\Jan\Desktop\Statoil data\';
file='6406!2-4sr_ubi';

input_file_name=strcat(folder,file,'.csv');
fid=fopen(input_file_name);

output_amp_file_name=strcat(folder,file,'_amplitude.txt');
fie=fopen(output_amp_file_name,'w');

output_tt_file_name=strcat(folder,file,'_transit_time.txt');
fif=fopen(output_tt_file_name,'w');

depth_file=strcat(folder,file,'_depth.txt');
fig=fopen(depth_file,'w');

nline=-1;
while ~feof(fid)
    fgetl(fid);
    nline=nline+1;
end

frewind(fid);
%removes heading
fgetl(fid);
fgetl(fid);

j=1;
line=fgetl(fid);
n=length(line);
find_line=(line==',');
s=sum(find_line);
elem=cell(1,s);
ii=1;
iii=1;
for i=1:s
    while strcmp(line(iii),',')~=1
        iii=iii+1;
    end
    elem{1,i}=line(ii:iii-1);
    iii=iii+1;
    ii=iii;
end
fprintf(fig,'%s\n',elem{1,1});
fprintf(fie,' %s',elem{1,182:361});
fprintf(fie,'\n');
fprintf(fif,' %s',elem{1,735:914});
fprintf(fif,'\n');

while ~feof(fid)
    j=j+1;
    if j==round(nline/4)
        disp('25%');
        toc
    elseif j==round(nline/2)
        disp('50%');
        toc
    elseif j==round(3*nline/4)
        disp('75%');
        toc
    end
    line=fgetl(fid);
    ii=1;
    iii=1;
    for i=1:s
        while strcmp(line(iii),',')~=1
            iii=iii+1;
        end
        elem{1,i}=line(ii:iii-1);
        iii=iii+1;
        ii=iii;
    end
    fprintf(fig,'%s\n',elem{1,1});
    fprintf(fie,' %s',elem{1,182:361});
    fprintf(fie,'\n');
    fprintf(fif,' %s',elem{1,735:914});
    fprintf(fif,'\n');
end
disp('100%');
toc
fclose(fid);
fclose(fie);
fclose(fif);