function [ corre , i_corre ] = max_corre( vec , vec_mat , n_free )
%calculate the max correlation
n_vec=length(vec);
temp_corre=zeros(n_free,1);

if std(vec)~=0
    for i=1:n_free
        R=corrcoef([vec vec_mat(i:i+n_vec-1)]);
        temp_corre(i,1)=R(1,2);
    end
    [corre,i_corre]=nanmax(temp_corre);
else
    corre=0;
    i_corre=0;
end

end

