function [ n_points ] = test_sinusoid( mat_edge , Amplitude , Phase , Depth , delta_h , x )
%Test the sinusoids found previously
%the sinusoids have to be close enough to a certain amount of points 
[nline,ncol]=size(mat_edge);
mat=zeros(nline+2*delta_h,ncol);
mat(delta_h+1:delta_h+nline,:)=mat_edge;

f=round(Amplitude*cos(x-Phase)+Depth);
n_points=0;
for j=1:ncol
    n_points=n_points+sum(mat(f(1,j):f(1,j)+2*delta_h,j)==1);
end

end